Vue 3 Data Grid Installation in Vue 3
Install Handsontable's Vue 3 wrapper via npm, import the stylesheets, and get your application up and running.
Vue 3 version support
Handsontable supports the following Vue 3 versions:
| Handsontable version | Vue 3 version | 
|---|---|
11.0.0 and lower |  No Vue 3 support | 
11.1.0 and higher |  3.2.0 and higher | 
Install with npm
This component needs the Handsontable library to work. Use npm to install the packages.
npm install handsontable @handsontable/vue3
Basic usage
<template>
  <hot-table :data="data" :rowHeaders="true" :colHeaders="true"></hot-table>
</template>
<script>
  import { defineComponent } from 'vue';
  import { HotTable } from '@handsontable/vue3';
  import { registerAllModules } from 'handsontable/registry';
  import 'handsontable/dist/handsontable.full.css';
  // register Handsontable's modules
  registerAllModules();
  export default defineComponent({
    data() {
      return {
        data: [
          ['', 'Ford', 'Volvo', 'Toyota', 'Honda'],
          ['2016', 10, 11, 12, 13],
          ['2017', 20, 11, 14, 13],
          ['2018', 30, 15, 12, 13]
        ],
      };
    },
    components: {
      HotTable,
    }
  });
</script>
TIP
You can reduce the size of your bundle by importing and registering only the modules that you need.
Related API reference
- Configuration options:
 - Hooks:

Angular Data Grid Installation in Angular
Install Handsontable's Angular wrapper via npm, import the stylesheets, and get your application up and running.
In this article
Install with npm
This component needs the Handsontable library to work. Use npm to install the packages.
npm install handsontable @handsontable/angular
Basic usage
Import the Handsontable styles to your project.
@import '~handsontable/dist/handsontable.full.css';
Import the Handsontable component in your module.
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { HotTableModule } from '@handsontable/angular';
import { registerAllModules } from 'handsontable/registry';
// register Handsontable's modules
registerAllModules();
@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    HotTableModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
TIP
You can reduce the size of your bundle by importing and registering only the modules that you need.
Now, you can use the Handsontable component in your HTML files.
<hot-table
  [colHeaders]="true"
  [rowHeaders]="true"
  autoWrapRow={true}
  autoWrapCol={true}
  licenseKey="non-commercial-and-evaluation">
</hot-table>
Related API reference
- Configuration options:
 - Hooks: